PDA

View Full Version : Linux won't install on my iPod!




zbutler
Aug 10, 2009, 01:38 PM
So I just got done reformatting my iPod and downloading the linux installer, but every time I click "Install Linux" I get "An error occurred while installing linux: error reading firmware version from iPod data file". Why is this happening and how do I fix it?



dvince2
Aug 10, 2009, 02:31 PM
I'm no expert on this at all, but for those who might be, posting what type of iPod you have, what version of linux, etc should help.

To me it sounds like the firmware of the iPod is updated so that it can't have linux on it. Im not sure... but can you flash iPod firmwares to an older version?

ChrisA
Aug 10, 2009, 03:00 PM
So I just got done reformatting my iPod and downloading the linux installer, but every time I click "Install Linux" I get "An error occurred while installing linux: error reading firmware version from iPod data file". Why is this happening and how do I fix it?

The neat thing about Open Source is that you have access to the source code. You can use "grep" to search for the line that contains the test of the error message. Then you can fid the exact condition that triggers it. Should be easy to see what the software is looking for. (Normally I'd not suggest on a Mac forum that a user grep the source code. But anyone who wants Linux on their iPod likley is more computer knowledgeable than the average Mac forum reader.) How to fix it depends on what you find when you look. May be as simple as changing a few constants it may be imposable to fix.

Likely you have an iPod that is not directly supported by the installer you are using.

I'll bet there is an email list or forum associated with the software you are trying to install. That would be a good place to ask this question.